File: changelog

package info (click to toggle)
gtkglext 1.2.0-9
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 6,224 kB
  • sloc: ansic: 52,780; sh: 8,871; xml: 2,810; makefile: 687; perl: 637
file content (270 lines) | stat: -rw-r--r-- 9,715 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
gtkglext (1.2.0-9) unstable; urgency=medium

  * d/control: Adopt package, Closes: #833364
      - set self as maintainer
      - update VCS to salsa
      - update standards version to 4.1.4
  * d/libgtkglext-dev: fix installation of m4 scripts
  * d/p: Drop patch for gtkglext-config.h installation, this was 
    not a bug in gtkglext

 -- Gert Wollny <gewo@debian.org>  Fri, 13 Apr 2018 10:40:22 +0200

gtkglext (1.2.0-8) unstable; urgency=medium

  [ Adrian Bunk ]
  * QA upload.
  * Fix FTBFS with glibc 2.27.

 -- Gert Wollny <gewo@debian.org>  Fri, 13 Apr 2018 10:39:50 +0200

gtkglext (1.2.0-7) unstable; urgency=medium

  * QA upload.
  * Correct installation location of gdkglext-config.h after
    Multi-Archification in 1.2.0-5. (Closes: #860007)

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Apr 2017 18:22:08 +0100

gtkglext (1.2.0-6) unstable; urgency=medium

  * QA upload.
  * Change the upstream tarball compression, so Ubuntu can go back to be in
    sync with Debian.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 04 Apr 2017 06:35:06 +0200

gtkglext (1.2.0-5) unstable; urgency=medium

  * QA upload.
  * Actually orphan the package.
  * wrap-and-sort -ast.
  * Bump debhelper compat level to 10.
    + --with autoreconf is now default.  Closes: #688569
  * Add Vcs headers pointing to git repository in collab-maint.
  * Use dh_lintian to install the lintian override.
  * Install NEWS README and TODO everywhere.
  * Drop pointless *.dirs files.
  * Drop -dbg package in favour of automatic -dbgsym.
  * make the patch headers DEP-3 complaint.
  * Multi-Archify the package.  Closes: #777211; LP: #1508627
  * Deal better with #806040 by splitting the override_dh_install in -arch and
    -indep.
  * d/control: avoid duplicating Section of libgtkglext1.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 04 Apr 2017 00:13:16 +0200

gtkglext (1.2.0-4) unstable; urgency=medium

  * QA upload, orphaning this package, see #833364.
  * Ack NMU. Closes: #714097.
  * debian/rules: Deal with dependency_libs only if the .la files exist.
    Fixes dpkg-buildpackage -A FTBFS. Closes: #806040.

 -- Bart Martens <bartm@debian.org>  Wed, 03 Aug 2016 15:42:58 +0200

gtkglext (1.2.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #727690)

 -- Wookey <wookey@debian.org>  Thu, 10 Jul 2014 02:51:55 +0000

gtkglext (1.2.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add {Build-,}Depends on pango and pangox (closes: #709554, #711822,
    #713444).

 -- Julien Cristau <jcristau@debian.org>  Tue, 25 Jun 2013 19:28:38 +0200

gtkglext (1.2.0-3) unstable; urgency=low

  * debian/patches/libGL.so.1.diff: Added.  Closes: #663684, #337022.

 -- Bart Martens <bartm@debian.org>  Sun, 02 Sep 2012 05:42:21 +0000

gtkglext (1.2.0-2) unstable; urgency=low

  * New maintainer.  Closes: #632410, #632266.

 -- Bart Martens <bartm@debian.org>  Sun, 18 Sep 2011 21:47:52 +0200

gtkglext (1.2.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #618990).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 17:00:00 +0200

gtkglext (1.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New patch 02_fix_gtk-2.20_deprecated_symbols.dpatch from upstream's
    development branch to fix gtk2 symbols deprecated since gtk-2.20
    (Closes: #585155). 
  * debian/control: versionned Build-Depends against libgtk2.0-dev to
    cope with the gtk-2.20 API changes.

 -- Gilles Filippini <pini@debian.org>  Thu, 17 Jun 2010 21:53:01 +0200

gtkglext (1.2.0-1) unstable; urgency=low

  * Acknowledge NMU. (Closes: #360854)
  * Install devhelp file. (Closes: #273500)
  * Fix dependencies for Modular X. (Closes: #372143)
  * New upstream release. (Closes: #363395)
  * Fix a crash bug related to the X Font Cache. (Closes: #366944)
  * Build debug package, libgtkglext1-dbg.
  * Hijack maintainership of package for various reasons, see
    http://lists.debian.org/debian-devel/2008/02/msg00745.html
    for rationale.
  * Use new dpkg Homepage: field.
  * No-change update to Standards-Version 3.7.3.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sun, 17 Feb 2008 21:35:29 -0600

gtkglext (1.0.6-2.1) unstable; urgency=medium

  * NMU to fix an RC bug that's causing several other packages to FTBFS.
    (The official maintainer appears to be inactive, so there's no sense
    in waiting further.)
  * configure.in: change pango_pkg from pango to pangox to ensure that
    libgdkglext-x11-1.0.so.0 links against everything it needs.  (Closes:
    #359688).
  * configure: regenerated.

 -- Aaron M. Ucko <ucko@debian.org>  Tue,  4 Apr 2006 20:06:51 -0400

gtkglext (1.0.6-2) unstable; urgency=medium

  * urgency=medium: this is making other packages FTBFS.
  * debian/control: change dependencies of libgtkglext1-dev to read:
    libgtkglext1 (= ${Source-Version}), libgtk2.0-dev, libice-dev | xlibs-dev,
    libsm-dev | xlibs-dev, libxmu-dev | xlibs-dev, libxt-dev | xlibs-dev,
    xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
  * I'm not touching anything else.  The solution quoted above is overkill,
    but it is correct. (closes: bug#250461)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 21 Aug 2004 20:46:42 -0600

gtkglext (1.0.6-1.0.2) unstable; urgency=low

  * Will the darned upload queue do something this time around?

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 17 Apr 2004 15:15:33 -0600

gtkglext (1.0.6-1.0.1) unstable; urgency=low

  * Recompile with sane OpenGL libraries.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 09 Apr 2004 18:23:21 -0600

gtkglext (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Throw away NMU 1.0.0-1.1 (thanks Sebastian, it's nevertheless
    appreciated), this problem has been fixed upstream, this would have
    been the proper fix in the first place.  My apologies for the long
    delay Teemu.  (closes: bug#226894)
  * Regenerate all the automake and autoconf stuff
        libtoolize (GNU libtool) 1.5.2
        aclocal (GNU automake) 1.7.9
        automake (GNU automake) 1.7.9
        autoconf (GNU Autoconf) 2.59
  * debian/control: Standards Version 3.6.1

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 03 Apr 2004 17:43:17 -0600

gtkglext (1.0.5-1) unstable; urgency=low

  * New upstream release
  * Regenerate all the automake and autoconf stuff with automake 1.7 and
    autoconf 2.58 and aclocal 1.7 anb libtoolize 1.5.0a

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 20 Nov 2003 19:53:14 -0600

gtkglext (1.0.0-1.1) unstable; urgency=low

  * NMU during BSP.
  * g[dt]kglprivate.h will be shipped again. (closes: #226894)

 -- Sebastian Muszynski <do2ksm@linkt.de>  Wed, 24 Mar 2004 19:47:03 +0100

gtkglext (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Regenerate all the automake and autoconf stuff with automake 1.7 and
    autoconf 2.57 and aclocal 1.7 anb libtoolize

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 17 May 2003 15:29:30 +0200

gtkglext (0.7.1-1) unstable; urgency=low

  * The "I'm on crack and I didn't even know it" release (or: "is the rest of
    the world blind or what?")

  * New upstream version
  * Ack NMU, thanks Remco (NMU patches never made it to the BTS) (closes:
    bug#183767, bug#183226)
  * Double check that the pkgconfig file include a flag to let the compiler
    find /usr/lib/gtkglext-1.0/include/gdkglext-config.h. (closes: bug#185307)
  * Double check that the pkg-config files are indeed shipped. (closes:
    bug#185304)
  * debian/libgtkglext1-dev.install: include less garbage.  The Makefile.am is
    included for reference only.  If someone wants to write a makefile that
    can be used standalone, I'll be happy to include it in the package.
  * Double check that all the required files for libgtkglext-x11-1.0 are
    included. (closes: bug#183767)
  * Regenerate all the automake and autoconf stuff with automake 1.7 and
    autoconf 2.52 and aclocal 1.7

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 13 Apr 2003 09:45:40 +0200

gtkglext (0.7.0-0.2) unstable; urgency=low

  * Non-maintainer upload fixing problem with previous upload: 
    libgtkglext-x11-1.0 was not built due to self-dependencies. Added 
    -L../gdk/.libs to its LDFLAGS as an ugly hack to circumvent this
    problem (closes: #183767)

 -- Remco van de Meent <remco@debian.org>  Sun, 16 Mar 2003 12:37:50 +0100

gtkglext (0.7.0-0.1) unstable; urgency=low

  * Non-maintainer upload with permission of maintainer (closes: #183226)
  * New upstream release
  * Update auto* files

 -- Remco van de Meent <remco@debian.org>  Mon,  3 Mar 2003 17:13:30 +0100

gtkglext (0.6.1-4) unstable; urgency=low

  * debian/control: New maintainer; thanks Stefan, should you ever want the
    package back, just ask.
  * debian/control: libgtkglext1-dev: Depend on xlibmesa-gl-dev | libgl-dev
    (closes: bug#180870)
  * debian/control: add (build-)dependency on libglu-dev, too.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 20 Feb 2003 15:29:37 +0100

gtkglext (0.6.1-3) unstable; urgency=low

  * debian/rules: add appropriate arguments to dh_shlibdeps

 -- Stefan Schwandter <swan@debian.org>  Mon, 13 Jan 2003 22:31:11 +0100

gtkglext (0.6.1-2) unstable; urgency=low

  * debian/rules: Don't build libgtkglext1-doc in binary-arch target
    (closes: #175607).
  * Re-generate autotools files (closes: #176543)

 -- Stefan Schwandter <swan@debian.org>  Mon, 13 Jan 2003 20:14:27 +0100

gtkglext (0.6.1-1) unstable; urgency=low

  * Initial Release (closes: #173947).

 -- Stefan Schwandter <swan@debian.org>  Fri, 27 Dec 2002 21:51:59 +0100